=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-01-10 02:13:14 +0000
+++ drizzled/sql_parse.cc	2011-01-13 05:06:32 +0000
@@ -188,7 +188,7 @@
     query_id.next();
   }
 
-  /* TODO: set session->lex->sql_command to SQLCOM_END here */
+  /* @todo set session->lex->sql_command to SQLCOM_END here */
 
   plugin::Logging::preDo(session);
   if (unlikely(plugin::EventObserver::beforeStatement(*session)))

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-01-13 02:08:31 +0000
+++ drizzled/sql_yacc.yy	2011-01-13 05:06:32 +0000
@@ -3198,8 +3198,15 @@
           { $$= new (YYSession->mem_root) Item_func_collation($3); }
         | DATABASE '(' ')'
           {
-            std::string database_str("database");
-            if (! ($$= reserved_keyword_function(YYSession, database_str, NULL)))
+            if (! ($$= reserved_keyword_function(YYSession, "database", NULL)))
+            {
+              DRIZZLE_YYABORT;
+            }
+            Lex->setCacheable(false);
+	  }
+        | CATALOG_SYM '(' ')'
+          {
+            if (! ($$= reserved_keyword_function(YYSession, "catalog", NULL)))
             {
               DRIZZLE_YYABORT;
             }

=== modified file 'drizzled/statement/catalog.cc'
--- drizzled/statement/catalog.cc	2011-01-13 02:08:31 +0000
+++ drizzled/statement/catalog.cc	2011-01-13 05:06:32 +0000
@@ -20,6 +20,7 @@
 
 #include "config.h"
 
+#include <drizzled/session.h>
 #include <drizzled/statement/catalog.h>
 
 namespace drizzled
@@ -32,6 +33,7 @@
   Statement(in_session),
   _identifier(arg)
 {
+  in_session->getLex()->sql_command= SQLCOM_END;
 }
 
 bool Catalog::execute()

=== modified file 'plugin/catalog/tests/r/drop.result'
--- plugin/catalog/tests/r/drop.result	2011-01-10 02:01:06 +0000
+++ plugin/catalog/tests/r/drop.result	2011-01-13 05:06:32 +0000
@@ -9,7 +9,7 @@
 DROP_CATALOG("foo")
 1
 SELECT drop_catalog("local");
-ERROR HY000: You can not drop the 'local' catalog.
+ERROR HY000: You cannot drop the 'local' catalog.
 SELECT drop_catalog("does_not_exist");
 ERROR HY000: Catalog 'does_not_exist' does not exist.
 SELECT CATALOG_NAME FROM DATA_DICTIONARY.CATALOGS WHERE CATALOG_NAME != "local" ORDER BY CATALOG_NAME;

